Supercheck LogoSupercheck
Trigger Keys

Delete a trigger key

Permanently delete a trigger key. This action cannot be undone.

DELETE
/api/jobs/{id}/api-keys/{keyId}

Authorization

bearerAuth
AuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

In: header

Path Parameters

id*string

Job ID

Formatuuid
keyId*string

Trigger key ID

Formatuuid

Response Body

application/json

application/json

application/json

curl -X DELETE "https://demo.supercheck.dev/api/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/api-keys/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "success": true,
  "message": "string"
}
{
  "error": "Unauthorized"
}
{
  "error": "Not found"
}